<template>
	<div class="row">
		<q-card class="col-sm-6 q-ma-md col-md-3 " v-for="bed, index in beds" :key="index" style="height:250px">
			<q-card-section class="text-white"
				:class="{ 'bg-green-5': bed.Patient_Encounter_ID === undefined, 'bg-red-5': bed.Patient_Encounter_ID !== undefined }">
				<q-item-label>
					{{ bed.Bed_Number }}
				</q-item-label>
			</q-card-section>
			<q-scroll-area style="height:190px" v-if="bed.Patient_Encounter_ID !== undefined">
				<q-list separator>
					<q-item v-for="value, field in bed.patient_details" :key="field">
						<q-item-section>
							<q-item-label class="text-bold">
								{{ field }}
							</q-item-label>
							{{ value }}
						</q-item-section>
					</q-item>
				</q-list>
			</q-scroll-area>
			<div class="row items-center justify-center" v-else style="height:190px">
				No Patient
			</div>
		</q-card>
	</div>
</template>

<script>
export default {
	props: ['module'],
	data() {
		return {
			beds: []
		}
	},
	methods: {
		getBedDetails() {
			var self = this
			axios.post('welcome/widgets', objectToFormData({ module_name: self.module.Module_Name, procedure: 'get_bed_details' })).then((response) => {
				self.beds = response.data.datatype.result
				for (const bed of self.beds) {
					console.log(bed)
					if (bed.Patient_Encounter_ID !== undefined) {
						self.getBedPatientDetails(bed)
					}
				}
			})

		},
		getBedPatientDetails(bed) {
			var self = this
			axios.post('welcome/widgets', objectToFormData({ patient_encounter_id: bed.Patient_Encounter_ID, module_name: self.module.Module_Name, procedure: 'get_bed_patient_details' })).then((response) => {
				bed.patient_details = response.data.datatype.result.sys[0]
			})
		}
	},
	created() {
		this.getBedDetails()
	}
}
</script>